#!/bin/bash

# creates symlinks of all cpp/h files in ../src to this directory
#
# Author: Sebastian Stein <seb.kde-AT-hpfsc.de>

# save the current directory
#
current=`pwd`

# delete all symbolic links
#
rm `find . -type l`

# now go to the source directory
#
cd ../src

echo "Createing symlinks to the source files..."

# make a symlink from every *.cpp file to this directory
#
for a in `ls *.cpp`
do
   ln -s ../src/$a ../testcases/$a
done

# make a symlink from every *.h file to this directory
#
for a in `ls *.h`
do
   ln -s ../src/$a ../testcases/$a
done

# and back to the testcases directory
#
cd $current
